Autodesk.Revit.DB.Structure.RebarShapeVertex
是 Revit API 中用于创建钢筋形状顶点的对象。
Autodesk.Revit.DB.Structure.RebarShapeVertex
对象包含以下属性:
Autodesk.Revit.DB.XYZ
double
double
bool
bool
Autodesk.Revit.DB.Structure.RebarShapeVertex
对象包含以下方法:
Autodesk.Revit.DB.Structure.RebarShapeVertex
构造函数public RebarShapeVertex(XYZ position, double diameter, double rakeAngle, bool isExtensionTop, bool isExtensionBottom)
Autodesk.Revit.DB.Structure.RebarShapeVertex
对象。// 创建一个标准的钢筋形状
RebarShape rebarShape = new RebarShape();
RebarShapeDefinition rebarShapeDef = rebarShape.StartDefinition();
RebarShapeBarType rebarBar = rebarShapeDef.AddNewType();
RebarShapeVertex rebarVertex1 = new RebarShapeVertex(new XYZ(0, 0, 0), 20, 0, false, false);
RebarShapeVertex rebarVertex2 = new RebarShapeVertex(new XYZ(0, 0, 100), 20, 0, false, false);
rebarShapeDef.AddLine(rebarVertex1, rebarVertex2, rebarBar);
rebarShape.Commit();
以上代码片段可创建一个简单的钢筋形状,并将其提交到文档中。